## Name

qorot — Rotates an object through the specified angle (in degrees).

## Synopsis

`qorot` {`x y z dx dy dz angle`}

## DESCRIPTION

Rotates an object through the specified angle (in degrees). This command requires that MGED already be in matrix edit mode. The edited object is rotated about the axis defined by the start point (x y z) and the direction vector (dx dy dz).

## EXAMPLES

The example shows the use of the qorot command to rotate a currently edited object through a specified angle and starting point and in a particular direction.

Example 1. Rotate a currently edited object.

`mged>``qorot 1 2 3 0 0 1 25`

Rotates the currently edited object through 25° about the axis through the point (1, 2, 3) and in the Z-direction.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.